/**         @file  mkmodtty.c
 *         @brief
 *          @date  17/11/2017
 *        @author  François Cerbelle (Fanfan), francois@cerbelle.net
 *     @copyright  Copyright (c) 2017, François Cerbelle
 *
 *   @internal
 *       Compiler  gcc
 *  Last modified  2024-07-02 09:51
 *   Organization  Cerbelle.net
 *        Company  Home
 *
 *   This source code is released for free distribution under the terms of the
 *   GNU General Public License as published by the Free Software Foundation.
 */

#include "module.h"
#include "mkmod.h"
#include "gettext.h"
#define _(String) gettext (String)

#include <stdio.h>

#include "debug/assert.h"
#include "debug/memory.h"

/* List exposed module functions */static void mkmod_function();
mkmod_api_t module_api = {
    mkmod_function
};

static moduleinfo_t moduleinfo = {
    "MyModule",
    "MyModule description",
    0,
    1,
    0,
    "First and Lastname",
    "email@address.tld",
    "http://www.mymodule.com",
    "GPLv3"
};

moduleinfo_t* onLoad ()
{
    DBG_TRACE;
    return &moduleinfo;
}

uint8_t onUnload()
{
    DBG_TRACE;
    return 0;
}

static void mkmod_function()
{
    DBG_TRACE;

    printf(_("Hello from mkmod_function\n"));
}

